PIRL.Conductor

## Class Colors

- java.lang.Object
- - PIRL.Conductor.Colors

    public class Colors
    extends Object

### Field Summary

Fields
`static Color` `ALTERNATE` Maestro Conductor_Matrix.
`static Color` `ALTERNATE_SELECTED` Maestro Conductor_Matrix.
`static Color` `CLOSED_THEATER` Kapellmeister.
`static Color` `CURRENT_RECORD` Sources and Procedures Tables.
`static Color` `FAILED_SOURCE_FIELD` Sources and Procedures Tables.
`static Color` `FAILURE` Manager
`static Color` `FAILURE_BLINKER` Manager
`static Color` `FAILURE_STATUS_FIELD` Sources and Procedures Tables.
`static Color` `HALTED_STATE` Maestro Conductor_Table.
`static Color` `HIGHLIGHT_STYLE` Conductor Text style.
`static Color` `MESSAGE_DELIVERED` Kapellmeister.
`static Color` `MESSAGE_SENT` Kapellmeister.
`static Color` `NOTICE_STYLE` Conductor Text style.
`static Color` `OPENED_THEATER` Kapellmeister.
`static Color` `POLLING` Manager
`static Color` `POLLING_BLINKER` Manager
`static Color` `POLLING_STATE` Maestro Conductor_Table.
`static Color` `PROCESSED_RECORD` Sources and Procedures Tables.
`static Color` `RUN_TO_WAIT` Maestro Conductor_Table.
`static Color` `RUNNING_BLINKER` Manager
`static Color` `RUNNING_STATE` Maestro Conductor_Table.
`static Color` `SUCCESS` Manager
`static Color` `TABLE` Sources and Procedures Tables.
`static Color` `TABLE_HEADER` Sources and Procedures Tables.
`static Color` `TABLE_HEADER_SELECTED` Sources and Procedures Tables.
`static Color` `TABLE_SELECTED` Sources and Procedures Tables.
`static Color` `WAITING_STATE` Maestro Conductor_Table.
`static Color` `WARNING` Manager
`static Color` `WARNING_BLINKER` Manager

### Constructor Summary

Constructors
Constructor and Description
`Colors()`

### Method Summary

Methods
`static Color` `Selected_Color(boolean selected, Color color)` Adjust the color to a possibly "selected" color.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NOTICE_STYLE

    public static Color NOTICE_STYLE

Conductor Text style.

#### HIGHLIGHT_STYLE

    public static Color HIGHLIGHT_STYLE

Conductor Text style.

#### TABLE_HEADER

    public static Color TABLE_HEADER

Sources and Procedures Tables.

#### TABLE_HEADER_SELECTED

    public static Color TABLE_HEADER_SELECTED

Sources and Procedures Tables.

#### TABLE

    public static Color TABLE

Sources and Procedures Tables.

#### TABLE_SELECTED

    public static Color TABLE_SELECTED

Sources and Procedures Tables.

#### CURRENT_RECORD

    public static Color CURRENT_RECORD

Sources and Procedures Tables.

#### PROCESSED_RECORD

    public static Color PROCESSED_RECORD

Sources and Procedures Tables.

#### FAILURE_STATUS_FIELD

    public static Color FAILURE_STATUS_FIELD

Sources and Procedures Tables.

#### FAILED_SOURCE_FIELD

    public static Color FAILED_SOURCE_FIELD

Sources and Procedures Tables.

#### SUCCESS

    public static Color SUCCESS

Manager

#### POLLING

    public static Color POLLING

Manager

#### FAILURE

    public static Color FAILURE

Manager

#### WARNING

    public static Color WARNING

Manager

#### POLLING_BLINKER

    public static Color POLLING_BLINKER

Manager

#### RUNNING_BLINKER

    public static Color RUNNING_BLINKER

Manager

#### WARNING_BLINKER

    public static Color WARNING_BLINKER

Manager

#### FAILURE_BLINKER

    public static Color FAILURE_BLINKER

Manager

#### RUNNING_STATE

    public static Color RUNNING_STATE

Maestro Conductor_Table.

#### POLLING_STATE

    public static Color POLLING_STATE

Maestro Conductor_Table.

#### RUN_TO_WAIT

    public static Color RUN_TO_WAIT

Maestro Conductor_Table.

#### WAITING_STATE

    public static Color WAITING_STATE

Maestro Conductor_Table.

#### HALTED_STATE

    public static Color HALTED_STATE

Maestro Conductor_Table.

#### ALTERNATE

    public static Color ALTERNATE

Maestro Conductor_Matrix.

#### ALTERNATE_SELECTED

    public static Color ALTERNATE_SELECTED

Maestro Conductor_Matrix.

#### OPENED_THEATER

    public static Color OPENED_THEATER

Kapellmeister.

#### CLOSED_THEATER

    public static Color CLOSED_THEATER

Kapellmeister.

#### MESSAGE_DELIVERED

    public static Color MESSAGE_DELIVERED

Kapellmeister.

#### MESSAGE_SENT

    public static Color MESSAGE_SENT

Kapellmeister.

### Constructor Detail

#### Colors

    public Colors()

### Method Detail

#### Selected_Color

    public static Color Selected_Color(boolean selected,
                       Color color)

Adjust the color to a possibly "selected" color.

For a selected color ff all of the red, green or blue components of the given color have a value (in the range 0-255) greater than 175 the color is `darkened`; otherwise the color is `brightened`.

Parameters:
  `selected` - true if the color is to be adjusted to the selected color; false if the color is to be returned unchanged.
  `color` - The Color to be adjusted. If selected is false the color will be returned unchanged.
Returns:
  A Color that will have been modified if selected is true.